Bug 204915 - "X" locked up upon leaving "firstboot"
"X" locked up upon leaving "firstboot"
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-01 07:51 EDT by Joachim Frieben
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 09:24:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
"X" log file recovered after lock-up (59.18 KB, text/plain)
2006-09-01 07:52 EDT, Joachim Frieben
no flags Details
"X" log file recovered after lock-up (2.14 KB, text/plain)
2006-09-02 11:31 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2006-09-01 07:51:33 EDT
Description of problem:
After a fresh install of "Fedora Core" as of 2006-08-30, "firstboot"
fires up, and all required information is entered. After confirming
the last item, "firstboot" seems to switch to graphical mode and
to launch the "X" server. However, the screen turns blank, and a mouse
cursor appears. The screen resolution is still the low one used by
"firstboot". The mouse pointer can be moved around, but the keyboard
is completely unresponsive. The system has to be powered off to recover
from this state.

Version-Release number of selected component (if applicable):
firstboot-1.4.19-1

How reproducible:
Always.

Steps to Reproduce:
1. Install "Fedora Core" from the "rawhide" repository.
2. Reboot and go through the various screens of "firstboot".
  
Actual results:
Screen turns blank with only a mouse cursor on it and hangs otherwise.

Expected results:
The "X" server should be launched successfully and the login should
be displayed.

Additional info:
This has been broken for a couple of weeks already.
After restarting the system, it boots correctly including switching
to graphical mode, and the login panel is displayed.
The system is an "IBM ThinkPad T23" sporting a "SuperSavage IX/C" chip.
Comment 1 Joachim Frieben 2006-09-01 07:52:58 EDT
Created attachment 135372 [details]
"X" log file recovered after lock-up
Comment 2 Joachim Frieben 2006-09-02 11:31:24 EDT
Created attachment 135429 [details]
"X" log file recovered after lock-up

This time, it's the right one.
Comment 3 Joachim Frieben 2006-09-03 12:11:10 EDT
Well, it's actually possible to log in to the system via "ssh" and to trigger a 
reboot of the system.
Comment 4 Joachim Frieben 2006-09-06 14:52:16 EDT
I should add that after leaving "firstboot", the screen turns blank
with a mouse pointer on top of it before the backlight is switched
off for a moment. After another moment, the screen gets backlit
again, and the mouse pointer reappears on the otherwise blank screen,
still ate the same low resoltuion as before. The "X" server causes a
system load of 100%. After killing the corresponding process, the
screen is frozen without returning to text mode. It can be rebooted
though remotely.
Comment 5 Joachim Frieben 2006-09-19 09:24:20 EDT
Hmm, tried a fresh install from the "rawhide" tree as of 2006-09-19,
and this time, the "X" server is launched successfully.

Note You need to log in before you can comment on or make changes to this bug.